Package be.fgov.ehealth.dics.protocol.v5

# Class StrengthType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.StrengthType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class StrengthType extends Object implements Serializable

Java class for StrengthType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StrengthType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Numerator" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
             <element name="Denominator" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrengthType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuantityType`
  `getDenominator()`
  Gets the value of the denominator property.
  `QuantityType`
  `getNumerator()`
  Gets the value of the numerator property.
  `void`
  `setDenominator(QuantityType value)`
  Sets the value of the denominator property.
  `void`
  `setNumerator(QuantityType value)`
  Sets the value of the numerator property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrengthType

    public StrengthType()

- ## Method Details

  - ### getNumerator

    public QuantityType getNumerator()
    Gets the value of the numerator property.
    Returns:
      possible object is `QuantityType`

  - ### setNumerator

    public void setNumerator(QuantityType value)
    Sets the value of the numerator property.
    Parameters:
      `value` - allowed object is `QuantityType`

  - ### getDenominator

    public QuantityType getDenominator()
    Gets the value of the denominator property.
    Returns:
      possible object is `QuantityType`

  - ### setDenominator

    public void setDenominator(QuantityType value)
    Sets the value of the denominator property.
    Parameters:
      `value` - allowed object is `QuantityType`